Altibase.jdbc.driver

## Class AltibaseXALogicalConnection

- java.lang.Object
- - Altibase.jdbc.driver.AltibaseLogicalConnection
  - - Altibase.jdbc.driver.AltibaseXALogicalConnection

All Implemented Interfaces:
  java.lang.AutoCloseable, java.sql.Connection, java.sql.Wrapper

Direct Known Subclasses:
  Altibase42XALogicalConnection

    public class AltibaseXALogicalConnection
    extends AltibaseLogicalConnection

### Field Summary

### Fields inherited from class Altibase.jdbc.driver.AltibaseLogicalConnection

`mClosed, mPhysicalConnection, mPooledConnection`

### Fields inherited from interface java.sql.Connection

`TRANSACTION_NONE, TRANSACTION_READ_COMMITTED, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE`

### Constructor Summary

Constructors
`protected` `AltibaseXALogicalConnection(AltibaseConnection aPhysicalConnection, AltibaseXAConnection aParent)`

### Method Summary

### Methods inherited from class Altibase.jdbc.driver.AltibaseLogicalConnection

`clearWarnings, close, commit, createStatement, createStatement, createStatement, getAutoCommit, getCatalog, getHoldability, getMetaData, getSessionId, getTransactionIsolation, getTypeMap, getWarnings, isClosed, isReadOnly, nativeSQL, prepareCall, prepareCall, prepareCall, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, releaseSavepoint, rollback, rollback, setAutoCommit, setCatalog, setHoldability, setReadOnly, setSavepoint, setSavepoint, setTransactionIsolation, setTypeMap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.Connection

`abort, createArrayOf, createBlob, createClob, createNClob, createSQLXML, createStruct, getClientInfo, getClientInfo, getNetworkTimeout, getSchema, isValid, setClientInfo, setClientInfo, setNetworkTimeout, setSchema`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Constructor Detail

#### AltibaseXALogicalConnection

    protected AltibaseXALogicalConnection(AltibaseConnection aPhysicalConnection,
                                          AltibaseXAConnection aParent)